Subject: Re: Route cache performance under stress

From: Ben Greear <[email-masked]>
Date: Tue, 10 Jun 2003 17:51:57 -0700

Ralph Doncaster wrote:
> On Tue, 10 Jun 2003, David S. Miller wrote:
> 
> 
>>   From: Ralph Doncaster <[email-masked]>
>>   What's the do_gettimeofday for?
>>
>>Every packet records a timestamp.
> 
> 
> I'm not aware of anything in IP routing that requires a timestamp for
> every packet.  To me it sounds like we could rip that out too.
> 
> -Ralph
> 

Maybe as a configurable option, since it would make tcpdump less useful.
Seems like we could kludge it up so that we used the TSC (or whatever that
really fast hardware clock is) to provide some relative stamp that could be
converted to a time_val later?

It does seem a bit wasteful to do the gettimeofday when most of the time
the result is ignored.

(Or, are there things other than tcpdump that need the gettimeofday stamp?)

Ben

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear